CADxp: stripmtext dans les attributs de blocs - CADxp

Aller au contenu

  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

stripmtext dans les attributs de blocs

#21 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8480
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 27 janvier 2014 - 17:50

Hello

Donc avec RB v2.00 ou RB v2.01 sur AutoCAD 2014 x64 ou sur AutoCAD MAP 2014 x64
ou sur AutoCAD MAP 2011 x64,
j'ai besoin de faire un REGEN (ou deplacer les Entites) pour voir physiquement le resultat !

DONC j'ai decide que c'etait le driver de la carte graphique ...

Cependant je t'envoie mon DWG de test pour voir !?

Bye, lecrabe

Fichier(s) joint(s)


Autodesk Expert Elite Team
0

#22 L'utilisateur est hors-ligne   x_all 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3489
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 28 janvier 2014 - 07:47

une question en passant...

comment faire pour qu'un lisp appelle un lisp?

je m'explique... j'ai un lisp qui passe tous les calques en gris et toutes les entités en ducalque. j'aimerai lui faire appeler RB

je sais vérifier et charger le cas échéent la fonction, mais après comment dire à ce programme de lancer RB?

(command "rb") ne marche pas, (rb) n'a pas l'air de mieux marcher...les deux lisp sont dans les chemins de recherche

ou y a t il une erreur dans ma moulinette:
  (if (not c:rb)
    (load  "Rb_v111" )
  )

"La possibilité d'expliquer m'a toujours paru comme la seule excuse à l’existence de la parole"
JL Godard

quelques trucs sur autocad
0

#23 L'utilisateur est hors-ligne   VDH-Bruno 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 922
  • Inscrit(e) : 29-avril 10

Posté 28 janvier 2014 - 08:53

Salut,

Voir le messagex_all, le 28 janvier 2014 - 07:47 , dit :

(command "rb") ne marche pas, (rb) n'a pas l'air de mieux marcher...


(c:rb)


A+
Apprendre => Prendre => Rendre
0

#24 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6381
  • Inscrit(e) : 06-janvier 03

Posté 28 janvier 2014 - 08:55

Salut

@lecrabe
Ce n'est pas ta carte graphique. J'ai exactement le même résultat que toi.
Je me suis dit que c'est le vlisp qui passe mal. J'ai donc refais le lisp avec les codes dxf --> Idem.
Je me suis dit que c'est la demande de sélection qui pose problème, donc je la supprime pour voir --> Idem.
Grumf, commence à me titiller ce non affichage.
Avec l'affichage de la demande de sélection ? --> Non.
Je test avec uniquement le forçage des valeurs en vlisp --> Ok.
Après mouts recherches et tests, il se trouve que c'est en testant si le bloc trouvé n'est pas un espace papier ou objet ou s'il a été choisis que l'affichage ne se fait pas.
Je cherche à comprendre...

@x_all
Tu as uniquement chargé le lisp. Pour l'appeler depuis un lisp, tu fais
(c:rb)


@+
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#25 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8480
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 28 janvier 2014 - 09:20

Hello

Donc en attendant de comprendre, je garde et utilise le RB v2.00 avec un _REGENALL apres le (princ)
Cette version me semble tout a fait viable !?

Bye, lecrabe

PS: DESOLE, je suis un testeur CHIANT comme m'a dit Gilles un jour !?
Autodesk Expert Elite Team
0

#26 L'utilisateur est hors-ligne   VDH-Bruno 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 922
  • Inscrit(e) : 29-avril 10

Posté 28 janvier 2014 - 10:24

Bonjour,

Voir le messagePatrick_35, le 27 janvier 2014 - 17:27 , dit :

C'est surprennant, car sur ma 2014 tout fonctionne correctement au niveau de l'affichage.
Et sur un autocad classique ?

Sur un AutoCAD classique version 2007 rien à signaler le code fonctionne à merveille (teste effectué sur RB.LSP V2.00).

Voir le messagePatrick_35, le 28 janvier 2014 - 08:55 , dit :

Après mouts recherches et tests, il se trouve que c'est en testant si le bloc trouvé n'est pas un espace papier ou objet ou s'il a été choisis que l'affichage ne se fait pas.
Je cherche à comprendre...

Je n’ai pas eu trop le temps de creusé plus, mais je ne suis pas sur les même conclusions, pour moi le code est bon, je pense que la « blague » vient du bloc du dwg posté par notre ami Lecrabe, car il n’y a que sur le dwg teste que je reproduis le comportement que vous d’écrivez.

Si j’avais plus de temps c’est dans cette direction que je creuserai en priorité…

Car si j’insère dans le dessin teste mes blocs, ces derniers conçu avec un AutoCAD classique son mis à jour automatiquement à l’affichage (et vice-versa). Idem si je lance la commande Annulé seul mes blocs retrouvent leurs affichage sans lancer de regen.

Je ne connais pas les applicatifs métiers mais le message d’alerte sur les Objet AEC me laisse à penser qu’ils ne sont peut-être pas étrangers à cette l’affaire.

Amicalement Bruno
Apprendre => Prendre => Rendre
0

#27 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6381
  • Inscrit(e) : 06-janvier 03

Posté 28 janvier 2014 - 10:51

Bonjour

Merci de tes tests VDH_Bruno

Avec le fichier test de Lecrabe, le test 1 fonctionne mais prend en compte l'espace objet.
Avec le test 2, cela ne fonctionne plus (pour l'affichage) mais évite l'espace objet.

(defun c:test1()
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-startundomark doc)
  (vlax-for bl (vla-get-blocks doc)
      (vlax-for ent bl
	(vla-put-layer ent "0")
	(vla-put-color ent 0)
	(vla-put-linetype ent "ByBlock")
	(vla-put-lineweight ent -2)
      )
  )
  (vla-endundomark doc)
  (princ)
)

(defun c:test2()
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-startundomark doc)
  (vlax-for bl (vla-get-blocks doc)
    (and (eq (vla-get-islayout bl) :vlax-false)
      (vlax-for ent bl
	(vla-put-layer ent "0")
	(vla-put-color ent 0)
	(vla-put-linetype ent "ByBlock")
	(vla-put-lineweight ent -2)
      )
    )
  )
  (vla-endundomark doc)
  (princ)
)


C'est là ou je bloque/bug ;)
Va comprendre.

Voir le messagelecrabe, le 28 janvier 2014 - 09:20 , dit :

PS: DESOLE, je suis un testeur CHIANT comme m'a dit Gilles un jour !?

C'est aussi ce qui nous fait avancer, rendre les lisps le plus fiable possible.

@+
Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#28 L'utilisateur est hors-ligne   VDH-Bruno 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 922
  • Inscrit(e) : 29-avril 10

Posté 28 janvier 2014 - 13:57

Re,

Voir le messagePatrick_35, le 28 janvier 2014 - 10:51 , dit :

Merci de tes tests VDH_Bruno

A modérer car j’ai été un peu vite en besogne, suite à un ou 2 petits tests supplémentaires, je ne suis plus totalement d'accord avec ce que j’ai écrit précédemment, j’ai réussi à recréer les problèmes d’affichage avec des blocs que j’ai moi-même créer sur ma version 2007… (Maintenant que je vois les effets reste à comprendre la cause)

J’ai hélas peu de temps pour me pencher sur le pourquoi du comment en ce moment, mais j’y reviendrai surement plus tard, à suivre…

A+
Apprendre => Prendre => Rendre
0

#29 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3614
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 28 janvier 2014 - 19:00

Salut à tous.

Je viens de faire un petit test avec AutoCAD 2014 sur un dessin sur lequel, dans l'espace objet, il y un bloc avec attributs puis 2 blocs sans attributs mais des hachures et du texte normal.

J'ai fais en sorte de former à l'intérieur des blocs, les calques, les couleurs, les épaisseurs et le type de ligne. la totale, quoi.

Après avoir lancer le lisp RB v2.00 ou RB v2.01, voici ce qu'il en résulte:

Le bloc avec attributs change instantanément de couleur et est nickel, il faut faire un REGEN pour que les deux autres blocs changent de couleur à l'écran :blink:
Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#30 L'utilisateur est hors-ligne   Patrick_35 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 6381
  • Inscrit(e) : 06-janvier 03

Posté 29 janvier 2014 - 08:47

Voir le messageSteven, le 28 janvier 2014 - 19:00 , dit :

Salut à tous.

Je viens de faire un petit test avec AutoCAD 2014 sur un dessin sur lequel, dans l'espace objet, il y un bloc avec attributs puis 2 blocs sans attributs mais des hachures et du texte normal.

J'ai fais en sorte de former à l'intérieur des blocs, les calques, les couleurs, les épaisseurs et le type de ligne. la totale, quoi.

Après avoir lancer le lisp RB v2.00 ou RB v2.01, voici ce qu'il en résulte:

Le bloc avec attributs change instantanément de couleur et est nickel, il faut faire un REGEN pour que les deux autres blocs changent de couleur à l'écran :blink:

Le lisp modifié avec un regen incorporé --> V2.02

Fichier(s) joint(s)

  • Fichier joint  Rb.lsp (3,39 Ko)
    Nombre de téléchargements : 41

Les Lisps de Patrick
Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.
Joseph Joubert, 1754-1824
0

#31 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3614
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 29 janvier 2014 - 18:58

Tout simplement énorme!

A chaque fois je suis bluffé :)

Total respect Image IPB

Bonne soirée.
Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#32 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3614
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 29 janvier 2014 - 18:58

Doublon...
Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#33 L'utilisateur est hors-ligne   dzanomaniak 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 14
  • Inscrit(e) : 09-avril 07
  • LocationGenève en Suisse !!!

Posté 10 juillet 2014 - 15:49

Bonjour,

un grand merci pour le code

j'ai adapté le fichier pour mon utilisation

Couleur DuCalque, type de ligne Continu et épaisseur de ligne par défaut

; Forcer sur calque 0
(vla-put-layer ent "0")

; Forcer la couleur sur Ducalque
(vla-put-color ent 256)

; Forcer le type de ligne sur Continuous
(vla-put-linetype ent "CONTINUOUS")

; Forcer l'épaisseur de ligne par Defaut
(vla-put-lineweight ent -3)



Si ça peut servir à quelqu'un. ;)

cela permet de modifier mes centaines de blocs dans chaque fichier....

A+
0

#34 L'utilisateur est hors-ligne   jyco 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 11
  • Inscrit(e) : 29-avril 04

Posté 14 juin 2019 - 08:16

Bonjour
cette lisp est super merci
pourrait-on avoir la meme qui supprime le formatage
d'un mtext à l'intérieur des blocs
cdlt Jyco

Voir le messagePatrick_35, le 27 janvier 2014 - 17:27 , dit :

C'est surprennant, car sur ma 2014 tout fonctionne correctement au niveau de l'affichage.
Et sur un autocad classique ?

En attendant, j'ai ajouté une fonctionnalité mais qui ralentit le résultat (v2.01)

@+

0

#35 L'utilisateur est hors-ligne   jyco 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 11
  • Inscrit(e) : 29-avril 04

Posté 14 juin 2019 - 09:41

Bonjour
cette lisp est super merci
pourrait-on avoir la meme qui supprime le formatage
d'un mtext à l'intérieur des blocs
cdlt Jyco

Voir le messagedzanomaniak, le 10 juillet 2014 - 15:49 , dit :

Bonjour,

un grand merci pour le code

j'ai adapté le fichier pour mon utilisation

Couleur DuCalque, type de ligne Continu et épaisseur de ligne par défaut

; Forcer sur calque 0
(vla-put-layer ent "0")

; Forcer la couleur sur Ducalque
(vla-put-color ent 256)

; Forcer le type de ligne sur Continuous
(vla-put-linetype ent "CONTINUOUS")

; Forcer l'épaisseur de ligne par Defaut
(vla-put-lineweight ent -3)



Si ça peut servir à quelqu'un. ;)

cela permet de modifier mes centaines de blocs dans chaque fichier....

A+

0

Partager ce sujet :


  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)